curl --request GET \
--url https://api.sandbox.usenash.com/v1/refund-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/refund-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/refund-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "rfrq_01234567890123456789",
"createdAt": "2023-08-29T19:17:46.264523",
"jobId": "job_01234567890123456789",
"taskId": "tsk_01234567890123456789",
"organizationId": "org_01234567890123456789",
"incidentSubtype": "<string>",
"incidentNotes": "<string>",
"status": "approved",
"refundAmountCents": 11500,
"refundAmountDeliveryFeeCents": 1000,
"refundAmountOrderValueCents": 10000,
"refundAmountTipCents": 500,
"currency": "USD",
"response": "<string>",
"proofOfRefund": "<string>",
"requestAmountCents": 11500,
"requestAmountDeliveryFeeCents": 1000,
"requestAmountOrderValueCents": 10000,
"requestAmountTipCents": 500,
"resolutionDate": "2023-08-30T14:30:00.000000"
}
][
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get Refund Requests
Retrieve a list of refund requests by task ID or job ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The task ID to filter by.
The job ID to filter by.
Response
OK
The ID of the refund request.
"rfrq_01234567890123456789"
The date and time when the refund request was created.
"2023-08-29T19:17:46.264523"
The job this refund request is associated with.
"job_01234567890123456789"
The task this refund request is associated with.
"tsk_01234567890123456789"
The ID of the organization.
"org_01234567890123456789"
The subtype of the incident.
Notes about the incident from the merchant.
The status of the refund request.
1, 2, 3, 4, 5, 6, 7 "approved"
The total requested refund amount.
11500
The requested refund amount for the delivery fee.
1000
The requested refund amount for the order value.
10000
The requested refund amount for the tip.
500
The currency of the refund request.
"USD"
The response from the courier.
The supporting evidence for the refund.
The request amount for the delivery fee, order value, and tip in cents.
11500
The request amount for the delivery fee in cents.
1000
The request amount for the order value in cents.
10000
The request amount for the tip in cents.
500
The date and time when the refund request was resolved (status changed to approved, denied, cancelled, or nash_approved).
"2023-08-30T14:30:00.000000"
Was this page helpful?